:root {
  --clr-primary: hsl(233, 67%, 24%);
  --clr-secondary: hsl(233, 80%, 40%);
  --clr-ow-green: hsl(147, 80%, 50%);
  --clr-ow-orange: hsl(27, 100%, 66%);
  --clr-ow-yellow: hsl(60, 100%, 75%);

  --clr-neutral-100: hsl(0, 0%, 100%);
  --clr-neutral-200: hsl(0, 0%, 97%);
  --clr-neutral-300: hsl(0, 0%, 82%);
  --clr-neutral-500: hsl(0, 0%, 50%);
  --clr-neutral-700: hsl(0, 0%, 29%);
  --clr-neutral-900: hsl(0, 0%, 11%);

  --val-card-radius: 1.5rem;
  --val-hor-padding: clamp(16px, -2.2864px + 2.381vw, 32px);
  --val-text-max-width: 70ch;
  --val-text-spacer: .75em;
  --val-wrapper-max-width: 90rem;
}


/* --- Browser reset --- */

*, *::before, *::after {
  box-sizing: border-box;
}

*:not(dialog) {
  margin: 0;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

body {
  line-height: 1.42;
  -webkit-font-smoothing: antialiased;
}

canvas, img, picture, svg, video {
  display: block;
  max-width: 100%;
}

button, input, select, textarea {
  font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
  text-wrap: balance;
}


/* --- Generic styles --- */

html {
  scroll-behavior:smooth;

  @media (prefers-reduced-motion:reduce) {
    scroll-behavior:auto;
  }
}

body {
  background-image: url('../images/swoosh-bottom.svg');
  background-position: center 105%;
  background-repeat: no-repeat;
  background-size: min(100% auto, var(--val-wrapper-max-width) auto);
  color: var(--clr-neutral-900);
  font-size: 1rem;
  font-weight: 400;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

  @media only screen and (width >= 30rem) {
    font-size: 1.125rem;
  }

  @media only screen and (width >= 48rem) {
    font-size: 1.25rem;
  }
}

a {
  color: var(--clr-primary);
}

h1, h2, h3 {
  color:var(--clr-primary);
  font-optical-sizing: auto;
  font-stretch: 100%;
  font-weight: 400;
  line-height: 1.1;
  font-family: "Rubik", sans-serif;
  text-wrap: balance;
}

h1 {
  font-size: 1.68rem;

  @media only screen and (width >= 30rem) {
    font-size: 2.69rem;
  }

  @media only screen and (width >= 48rem) {
    font-size: 3.37rem;
  }
}

details:not([class]), ol:not([class]), p:not([class]), ul:not([class]) {
  max-inline-size: var(--val-text-max-width);
}


/* --- Layout --- */

main {
  display: grid;
  grid-template-columns: 
    minmax(var(--val-hor-padding), 1fr)
    [content-left-start] min(calc(50% - var(--val-hor-padding)), calc(var(--val-wrapper-max-width)/2)) 
    [content-left-end content-right-start] min(calc(50% - var(--val-hor-padding)), calc(var(--val-wrapper-max-width)/2)) 
    [content-right-end] minmax(var(--val-hor-padding), 1fr);

  & header {
    grid-column: 1 / -1;
  }
}

section {
  display: grid;
  grid-template-columns: subgrid;
  grid-column: 1 / -1;
  padding-block: clamp(3rem, 5vw, 7rem);

  & > div {
    grid-column: content-left-start / content-right-end;
  }

  &[data-subject="intro"] {
    
  }

  &[data-subject="location"] {
    
  }

  &[data-subject="tools"] {

    @media only screen and (width >= 62rem) {
      grid-column: 1 / content-left-end;
      
      & > div {
        grid-column: content-left-start / content-left-end;
      }
    }
  }

  &[data-subject="tech"] {

    @media only screen and (width >= 62rem) {
      grid-column: content-right-start / -1;

      & > div {
        grid-column: content-right-start / content-right-end;
      }
    }
  }


  &[data-subject="faq"] {
    
  }
}


/* --- Utility classes --- */

.prose {

  ol:not([class]), ul:not([class]) {
    padding-inline-start: 1em;

    & li:not([class])::before {
      content: '';
      margin-inline-start: -.25em;
    }
  }

  & > * + :is(ol, p, ul, h2, h3) {
    margin-block-start: var(--val-text-spacer);
  }
}

.sr-only {
  position: absolute;
  block-size: 0;
  inline-size: 0;
  clip: rect(1px,1px,1px,1px);
  overflow: hidden;
  white-space: nowrap;
}

.wrapper {
  margin-inline: auto;
  max-inline-size: var(--val-wrapper-max-width);
}


/* --- Background image --- */

.bg-image {
  position: absolute;
  inset-block-start: 8rem;
  inline-size: 100%;
  display: flex;
  justify-content: center;
  overflow: hidden;
  z-index: -1;

  @media only screen and (width >= 30rem) {
    inset-block-start: 6rem;
  }

  @media only screen and (width >= 48rem) {
    inset-block-start: 4rem;
  }

  @media only screen and (width >= 62rem) {
    inset-block-start: 0;
  }

  & > svg {
    flex: none;
    inline-size: 115%;
    max-inline-size: 2000px;
  }
}


/* --- Buttons ---*/

.btn {
  background-color: var(--clr-primary);
  border: none;
  border-radius: .75rem;
  color: white;
  cursor: pointer;
  font-size: var(--fs-300);
  font-variation-settings: "wght" 500;
  font-family: "Rubik", sans-serif;
  padding: .675em 1.5em;
  text-align: center;
  text-decoration: none;
  transition: background-color .3s ease;

  &:hover {
    background-color: var(--clr-secondary);
  }

  &:focus-visible {
    outline-color: var(--clr-primary);
    outline-offset: .125rem;
    outline-width: .125rem;
    outline-style: solid;
  }
}


/* --- Content Blocks --- */

[data-subject="intro"] {

  & > div {
    position: relative;
    display: flex;
    flex-direction: column;

    @media only screen and (width >= 48rem) {
      display: grid;
      grid-auto-rows: auto;
      grid-template-columns: 1fr 1fr;
      align-items: start;
      column-gap: 3rem;
    }

    & > div {
      flex: 1;
    }
  }

  & .prose {
    padding-block-start: var(--val-text-spacer);

    @media only screen and (width >= 48rem) {
      grid-row-start: 2;
    }
  }

  & .viewer-wrapper {
    position: sticky;
    inset-block-start: 1rem;
    flex: 1;
    inline-size: 100%;
    container-type: inline-size;
    display: grid;
    grid-template-areas: "viewers";
    align-items: start;
    justify-items: end;
    margin-block-start: 3rem;
    margin-inline: auto;

    @media only screen and (width >= 48rem) {
      grid-row-start: 2;
      grid-column-start: 2;
      margin-block-start: .5rem;
    }
  }
  
  & :is(.viewer-l, .viewer-m, .viewer-s) {
    grid-area: viewers;
    background: var(--clr-primary);

    & img {
      block-size: auto;
    }
  }

  & .viewer-l {
    border-radius: .667cqi;
    margin-block-end: 8cqi;
    margin-inline-end: 20cqi;
    padding: .667cqi;
  }

  & .viewer-m {
    inline-size: 30cqi;
    align-self: end;
    border-radius: 1.2cqi;
    margin-block-end: 4cqi;
    padding: .5cqi;

    & img {
      border-radius: .7cqi;
    }
  }

  & .viewer-s {
    inline-size: 24cqi;
    align-self: end;
    border-radius: 1.5cqi;
    margin-inline-end: 28cqi;
    padding: .4cqi;

    & img {
      border-radius: 1.1cqi;
    }
  }
}

[data-subject="location"] {
  & :is(h2, p) {
    margin-inline: auto;
    text-align: center;
    text-wrap: balance;
  }

  & .location-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin: 2rem auto;
    padding: 0;

    @media only screen and (width >= 48rem) {
      display: grid;
      grid-template-rows: 1fr auto;
      grid-template-columns: 1fr 1fr;
    }
  }

  & li {
    background: var(--clr-primary);
    border-radius: var(--val-card-radius);
    box-shadow: 0 10px 15px -3px color-mix(in srgb, var(--clr-primary), transparent 60%), 
                0 4px 6px -4px color-mix(in srgb, var(--clr-primary), transparent 60%);
    display: grid;
    align-items: end;
    list-style: none;
    padding: .5rem;

    @media only screen and (width >= 48rem) {
      grid-row: 1 / -1;
      grid-template-rows: subgrid;
      align-items: stretch;
    }

    & > :is(img, p) {
      grid-row-start: 1;
      grid-column-start: 1;
    }

    & img {
      block-size: 100%;
      max-block-size: 27rem;
      border-radius: 1rem;
      object-fit: cover;

      @media only screen and (width >= 48rem) {
        grid-row-end: -1;
        max-block-size: 32rem;
      }
    }

    &:nth-child(2) img {
      object-position: 50% 20%;
    }

    & p {
      inline-size: 100%;
      background: color-mix(in srgb, var(--clr-primary), transparent 20%);
      backdrop-filter: blur(5px);
      border-end-start-radius: .85rem;
      border-end-end-radius: .85rem;
      color: #fff;
      padding: .5rem 1rem;

      @media only screen and (width >= 48rem) {
        grid-row-start: 2;
      }
    }
  }
}

[data-subject="tools"] {
  background: var(--clr-primary);
  color: var(--clr-neutral-100);

  & > div {
    @media only screen and (width >= 62rem) {
      padding-inline-end: 2rem;
    }
  }

  & h2 {
    color: var(--clr-neutral-100);
  }
}

[data-subject="tech"] {

  & > div {
    @media only screen and (width >= 62rem) {
      padding-inline-start: 2rem;
    }
  }
}

[data-subject="steps"] {
  background: color-mix(in srgb, var(--clr-ow-green), #fff 85%);
  
  & h2 {
    margin-block-end: 2rem;
    text-align: center;
  }

  & ol {
    container-type: inline-size;
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    margin-inline: auto;
    padding-inline-start: 0;
  }

  & li {
    position: relative;
    border-radius: var(--val-card-radius);
    inline-size: 100%;
    list-style: none;
    margin-inline: auto;
    padding: 1.5rem 1rem 1.5rem 5rem;

    &::before {
      position: absolute;
      inset-block-start: .5rem;
      inset-inline-start: 0;
      inline-size: 5rem;
      color: var(--clr-primary);
      content: counter(list-item);
      font-size: 5rem;
      font-weight: 600;
      line-height: 1;
      opacity: .3;
      text-align: center;
    }
  }
}

[data-subject="faq"] {
  background-color: color-mix(in srgb, var(--clr-primary), #fff 90%);

    & > div {
      /* inline-size: 100%; */
      display: flex;
      flex-direction: column;
      gap: 1rem 2rem;
      
      @media only screen and (width >= 48rem) {
        inline-size: unset;
        flex-direction: row;
        align-items: baseline;
        justify-content: center;
      }
    }

    & > div > div {
      flex: 1 1 auto;
      max-inline-size: var(--val-text-max-width);
    }
}

[data-subject="contact"] {

  & div{
    inline-size: fit-content;
    margin-inline: auto;
  }
}


/* --- Details (FAQ accordeon) --- */

details {
  border-block-end: 1px solid var(--clr-secondary);
  overflow: hidden;

  & > p {
    padding-block-end: .7em;
  }
}

details::details-content {
  block-size: 0;
  transition: block-size .5s, content-visibility .5s;
  transition-behavior: allow-discrete;
}

details[open]::details-content {
  block-size: auto;
}

summary {
  position: relative;
  cursor: pointer;
  display: block;
  padding: .75rem 1.5rem .75rem 0;
  font-weight: 500;
  transition: color .2s ease;

  &:hover,
  &:focus-visible {
    color: var(--clr-secondary);
  }

  &::before,
  &::after {
    position: absolute;
    top: calc(50% - .0625rem);
    inset-inline-end: 0;
    width: 1rem;
    height: .125rem;
    background-color: var(--clr-primary);
    content: '';
    display: inline-block;
  }

  &::after {
    transform: rotate(90deg);
    transition: transform .2s ease-in-out;
  }
}


.details:open summary::after {
  transform: rotate(0deg);
}


/* --- Footer --- */
footer {
  background-color: color-mix(in srgb, var(--clr-neutral-300), transparent 60%);
  padding: 2rem 1rem;

  @media only screen and (width >= 40rem) {
    padding-block: 3rem;
  }

  @media only screen and (width >= 60rem) {
    padding-block: 4rem;
  }

  & > .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
  
    & > div {
      display: flex;
      align-items: center;
      gap: 2rem;
    }

    & a {
      color: inherit;
      text-decoration: none;
    }

    & a > svg {
      aspect-ratio: 1 / 1;
      block-size: 1.5rem;
    }
  }

  & .logo {
    block-size: 3rem;
  }
}

/* --- Form --- */

form {
  display: flex;
  flex-direction: column;
  margin-block-start: 2rem;
  max-inline-size: 32rem;
  
  & .btn {
    align-self: start;
  }
}

label {
  margin-block-end: 0.375rem;
  font-weight: 600;
}

input, textarea {
  padding: .5rem .75rem;
}

input {
  margin-block-end: 1rem;
}

textarea {
  margin-block-end: 1.5rem;
  resize: vertical;
}


/* --- Header --- */

header {
  padding: 1.5rem .5rem 1.5rem 1rem;

  & .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;

    & > div {
      inline-size: fit-content;
      display: grid;
      align-items: center;
      justify-items: end;
      column-gap: 1.5rem;
    }

    & > div > a {
      grid-column: 2;
      grid-row: 1 / span 2;
    }
  }

  & .logo {
    block-size: 4rem;
  }

  & span:first-of-type {
    font-size: 1.75rem;
    font-weight: 600;
    line-height: 1;
  }

  & span:last-of-type {
    font-size: .875rem;
    color: var(--clr-neutral-700);
  }

  & .wrapper > a {
    inline-size: 3rem;
    padding: .75rem;
  }
}


/* --- H1 heading --- */

.main-header {
  padding: 7rem var(--val-hor-padding);
  text-align: center;
}